<div class="contentRight">

    <div class="contentFull left filler-bottom-end-p">
        <div class="content-holder">
        <h3>{{elections[electionType]}}</h3>
            <div class="electionsView filler-bottom-dd">
                <ul class="dd smaller">

                    <div nz-col nzSpan="8">
                        <nz-select style="width: 100%;" nzAllowClear nzPlaceHolder="Select country" nzShowSearch
                            [nzLoading]="isLoading[0]" [(ngModel)]="selectedCountryId"
                            (ngModelChange)="loadRegions()">
                            <nz-option *ngFor="let item of countries" nzCustomContent nzLabel="{{item.name}}"
                                nzValue="{{item.id}}">
                                <img src="./../../../../assets/{{item.flagLocation[0]}}" /> {{item.name}} </nz-option>
                        </nz-select>
                    </div>
                    <div nz-col nzSpan="8" *ngIf='electionType == 2'>
                        <nz-select style="width: 100%;" nzAllowClear nzPlaceHolder="Select region" nzShowSearch
                            [nzLoading]="isLoading[0]" [nzCustomTemplate]="custom" [(ngModel)]="selectedRegionId">
                            <nz-option *ngFor="let item of regions" nzCustomContent nzLabel="{{item.name}}"
                                nzValue="{{item.id}}"> {{item.name}} </nz-option>
                        </nz-select>
                    </div>
                        <li *ngIf='electionType == 3'>
                            <a href="#">{{PartyEntity?.Name}} <span class="right">&#9660;</span></a>
                            <ul class="choose-part">
                                    <li *ngFor="let party of Parties">
                                        <a href='@Url.Action("vote", "elections", new { countryID = Model.CountryId, regionID = party.Id })'><img src="~/@party.Entity?.AvatarLocation">{{party.Name}}</a>
                                    </li>
                            </ul>
                        </li>
                </ul>

            </div>
                <form  *ngIf='electionType == 1' method="post" action='@Url.Action("votePost", "elections")'>
                    <div class="electionsView filler-bottom">
                        <h4>Presidential Candidates</h4>
                        <table class="elections tableColor smaller">
                            <thead>
                                <tr>
                                    <th>Candidate</th>
                                    <th></th>
                                    <th>Party</th>
                                    <th>XP</th>
                                    <th></th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>
                                    <tr *ngFor="let candidate of candidates">
                                        <td>
                                            <a href="{{hostUrl}}/citizen/{{candidate.id}}">
                                                <img src="{{hostUrl}}/{{candidate.avatarLocation}}">
                                            </a>
                                        </td>
                                        <td>
                                            <a href='{{hostUrl}}/citizen/{{candidate.id}}'>{{candidate.name}}</a>
                                        </td>
                                        <td>
                                            <a href='{{hostUrl}}/party/{{parties.id}}'>{{candidate.party?.name}}</a>
                                        </td>
                                        <td>{{candidate.Experience}}</td>
                                        <td>
                                            <input id="showCandID{{candidate.Id}}" class="smBtn blButton small" type="button" value="Goals" style="border:none;">
                                        </td>
                                        <td *ngIf="canVote && nowCanVote">
                                                <input name="candidateID" type="radio" (click)="vote()" value="{{candidate.Id}}">
                                        </td>
                                    </tr>
                            </tbody>
                        </table>
                            <div *ngFor="let candidate of candidates" id="candID{{candidate.Id}}" class="candHistory">
                                <form method="post" action='@Url.Action("setGoals", "elections")'>
                                    <ul class="cabinet smaller">
                                        <li>
                                            <p>Vice</p>
                                            <a href="#">
                                                <img src="~/candidate..AvatarLocation">
                                            </a>
                                            <a href='@Url.Action("index", "citizen", new { id = candidate.GovernmentEntities.FirstOrDefault(x => x.Score == 0).EntityId })'>{{candidate.governmentEntities[0]?.name}}</a>
                                        </li>
                                        <li>
                                            <p>{{'World.Country.Defence' | translate}}</p>
                                            <a href="#">
                                                <img src="~/candidate..AvatarLocation">
                                            </a>
                                            <a href='@Url.Action("index", "citizen", new { id = candidate.GovernmentEntities.FirstOrDefault(x => x.Score == 1).EntityId })'>{{candidate.governmentEntities[1]?.name}}</a>
                                        </li>
                                        <li>
                                            <p>{{'World.Country.Economy' | translate}}</p>
                                            <a href="#">
                                                <img src="~/candidate..AvatarLocation">
                                            </a>
                                            <a href='@Url.Action("index", "citizen", new { id = candidate.GovernmentEntities.FirstOrDefault(x => x.Score == 2).EntityId })'>{{candidate.governmentEntities[2]?.name}}</a>
                                        </li>
                                        <li>
                                            <p>{{'World.Country.ForeignAffairs' | translate}}</p>
                                            <a href="#">
                                                <img src="~/candidate..AvatarLocation">
                                            </a>
                                            <a href='@Url.Action("index", "citizen", new { id = candidate.GovernmentEntities.FirstOrDefault(x => x.Score == 3).EntityId })'>{{candidate.governmentEntities[3]?.name}}</a>
                                        </li>
                                    </ul>
                                    <ul class="goals smaller">
                                        <li>
                                            <h3>{{'World.Country.Social' | translate}}</h3>
                                            <p>{{candidate.goals[0]}}</p>
                                        </li>
                                        <li>
                                            <h3>{{'World.Country.Military' | translate}}</h3>
                                            <p>{{candidate.goals[1]}}</p>
                                        </li>
                                        <li>
                                            <h3>{{'World.Country.Economy' | translate}}</h3>
                                            <p>{{candidate.goals[2]}}</p>
                                        </li>
                                        <li>
                                            <h3>{{'World.Country.Other' | translate}}</h3>
                                            <p>{{candidate.goals[3]}}</p>
                                        </li>
                                    </ul>
                                </form>
                            </div>
                            <div *ngIf="canVote && nowCanVote" class="voteButton">
                                <input class="smBtn blButton smaller" type="submit" value="Vote" (click)="vote()"  style="border: none;">
                            </div>
                    </div>
                </form>
                <form *ngIf='electionType == 2' method="post" action='@Url.Action("votePost", "elections")'>
                    <div class="electionsView filler-bottom">
                        <h4>Party Presidential Candidates</h4>
                        <table class="elections tableColor smaller">
                            <thead>
                                <tr>
                                    <th>Candidate</th>
                                    <th></th>
                                    <th></th>
                                    <th>XP</th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>
                                    <tr *ngFor="let candidate of candidates">
                                        <td>
                                            <a href="{{hostUrl}}/citizen/{{candidate.id}}">
                                                        <img src="{{hostUrl}}/{{candidate.avatarLocation}}">
                                            </a>
                                        </td>
                                        <td>
                                            <a href='{{hostUrl}}/citizen/{{candidate.citizenId}}'>{{candidate.Candidate.Name}}</a>
                                        </td>
                                        <td></td>
                                        <td>{{candidate.Experience}}</td>
                                        <td *ngIf="canVote && nowCanVote">
                                                <input name="candidateID" type="radio" value="{{candidate.Id}}">
                                        </td>
                                    </tr>
                            </tbody>
                        </table>
                            <div *ngIf="canVote && nowCanVote" class="voteButton">
                                <input class="smBtn blButton smaller" type="submit" value="Vote" (click)="vote()"  style="border: none;">
                            </div>
                    </div>
                </form>
                <form *ngIf='electionType == 3' method="post" action='@Url.Action("votePost", "elections")'>
                    <div class="electionsView filler-bottom">
                        <h4>Congress Candidates</h4>
                        <ul id="congress">
                            <li>
                                <p class="smaller"><b>Step 1.</b> Choose a Candidate</p>
                                <table class="elections tableColor smaller">
                                    <thead>
                                        <tr>
                                            <th>Candidate</th>
                                            <th></th>
                                            <th>Party</th>
                                            <th>XP</th>
                                            <th></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                            <tr *ngFor="let candidate of candidates">
                                                <td>
                                                    <a href="{{hostUrl}}/citizen/{{candidate.id}}">
                                                        <img src="{{hostUrl}}/{{candidate.avatarLocation}}">
                                                    </a>
                                                </td>
                                                <td>
                                                    <a href='{{hostUrl}}/citizen/{{candidate.citizenId}}'>{{candidate.Candidate.Name}}</a>
                                                </td>
                                                <td>
                                                    <a href='{{hostUrl}}/party/{{parties.id}}'>{{candidate.Party.Name}}</a>
                                                </td>
                                                <td>{{candidate.Experience}}</td>
                                                <td *ngIf="canVote && nowCanVote">
                                                        <input name="candidateID" type="radio" value="{{candidate.Id}}">
                                                </td>
                                            </tr>
                                    </tbody>
                                </table>
                            </li>
                            <li>
                                <p class="smaller"><b>Step 2.</b> Choose a Party</p>
                                <table class="elections tableColor smaller">
                                    <thead>
                                        <tr>
                                            <th>Party</th>
                                            <th></th>
                                            <th></th>
                                            <th></th>
                                            <th></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                            <tr *ngFor="let party of parties">
                                                <td>
                                                    <a href="#">
                                                        <img src="{{hostUrl}}/{{party.avatarLocation}}">
                                                    </a>
                                                </td>
                                                <td>
                                                    <a href='{{hostUrl}}/party/{{parties.id}}'>{{party.name}}</a>
                                                </td>
                                                <td></td>
                                                <td></td>
                                                <td *ngIf="canVote && nowCanVote">
                                                        <input name="partyId" type="radio" value="{{party.id}}">
                                                </td>
                                            </tr>
                                    </tbody>
                                </table>
                            </li>
                        </ul>
                            <div *ngIf="canVote && nowCanVote" class="voteButton">
                                <input class="smBtn blButton smaller" type="submit" (click)="vote()" value="Vote" style="border: none;">
                            </div>
                    </div>
                </form>
        </div>
    </div>

</div>
<div class="clear"></div>